Package ej.bluetooth

## Class BluetoothPermissions

- java.lang.Object
- - ej.bluetooth.BluetoothPermissions

-     public class BluetoothPermissions
      extends Object

  The `BluetoothPermissions` class enumerates the values for attribute permissions.

  A read flag and a write flag may be combined to create a set of permissions.

  Attribute permissions are checked when a client wants to access an attribute. The permissions are only used by the server and they are not sent to the client.

  Refer to "Core Specification Vol 3, Part F, 3.2.5 Attribute Permissions".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `NONE` | No access.
    `static byte` | `READ` | Read access, no encryption required.
    `static byte` | `READ_AUTH` | Read access, authentication required.
    `static byte` | `READ_ENCRYPT` | Read access, encryption required.
    `static byte` | `RW` | Read and write access, no encryption required.
    `static byte` | `RW_AUTH` | Read and write access, authentication required.
    `static byte` | `RW_ENCRYPT` | Read and write access, encryption required.
    `static byte` | `WRITE` | Write access, no encryption required.
    `static byte` | `WRITE_AUTH` | Write access, authentication required.
    `static byte` | `WRITE_ENCRYPT` | Write access, encryption required.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BluetoothPermissions()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final byte NONE

      No access.
      See Also:
        Constant Field Values

    - #### READ

          public static final byte READ

      Read access, no encryption required.
      See Also:
        Constant Field Values

    - #### READ_ENCRYPT

          public static final byte READ_ENCRYPT

      Read access, encryption required.
      See Also:
        Constant Field Values

    - #### READ_AUTH

          public static final byte READ_AUTH

      Read access, authentication required.
      See Also:
        Constant Field Values

    - #### WRITE

          public static final byte WRITE

      Write access, no encryption required.
      See Also:
        Constant Field Values

    - #### WRITE_ENCRYPT

          public static final byte WRITE_ENCRYPT

      Write access, encryption required.
      See Also:
        Constant Field Values

    - #### WRITE_AUTH

          public static final byte WRITE_AUTH

      Write access, authentication required.
      See Also:
        Constant Field Values

    - #### RW

          public static final byte RW

      Read and write access, no encryption required.
      See Also:
        Constant Field Values

    - #### RW_ENCRYPT

          public static final byte RW_ENCRYPT

      Read and write access, encryption required.
      See Also:
        Constant Field Values

    - #### RW_AUTH

          public static final byte RW_AUTH

      Read and write access, authentication required.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BluetoothPermissions

          public BluetoothPermissions()